function Menu(id){
	var iID = $("#TemMenu").val();
	var $dh = $("#dd" + id + " > ul").height()

	if (iID == 1) {
		$("#dd" + id).animate({ top : -$dh, height : $dh, opacity : 1})
		$("#TemMenu").val(0);
	}
	else {
		$("#dd" + id).animate({ top : 0, height : 0, opacity : 0 })
		$("#TemMenu").val(1);
	}
}

$(function(){
	$(".Sort-phone .barPhone").click(function(){
		if ($(this).next().css("display")=="none")
			$(this).removeClass("SortOpen").addClass("SortClose")
		else
			$(this).removeClass("SortClose").addClass("SortOpen")
			
		$(this).next().slideToggle(500)
	})

	var timeout = 500;
	var closetimer = 0;
	var ddmenuitem = 0;
	
	function dropmenu_open(){
		dropmenu_canceltimer();
		dropmenu_close();
		ddmenuitem = $(this).find('div.navTop').eq(0).css('display', 'block');
	}
	function dropmenu_close(){
		if(ddmenuitem) ddmenuitem.css('display', 'none');
	}
	function dropmenu_timer(){
		closetimer = window.setTimeout(dropmenu_close, timeout);
	}
	function dropmenu_canceltimer(){
		if(closetimer){
			window.clearTimeout(closetimer);
			closetimer = null;
		}
	}
	$(document).ready(function(){
		$('.nav > ul > li').bind('mouseover', dropmenu_open);
		$('.nav > ul > li').bind('mouseout', dropmenu_timer);
	});
	document.onclick = dropmenu_close;
})
